#
# spec file for package python-pysmi
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pysmi
Version:        0.1.3
Release:        lp151.2.1
Summary:        SNMP SMI/MIB Parser
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            http://pysmi.sourceforge.net/
Source:         https://files.pythonhosted.org/packages/source/p/pysmi/pysmi-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module ply}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-ply
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires(post): update-alternatives
Requires(postun): update-alternatives
BuildArch:      noarch

%python_subpackages

%description
A pure-Python implementation of SNMP/SMI MIB parsing and conversion library.
Can produce PySNMP MIB modules.

Documentation: http://pysmi.sf.net

%prep
%setup -q -n pysmi-%{version}

%build
%python_build

%install
%python_install
mv %{buildroot}%{_bindir}/mibdump.py %{buildroot}%{_bindir}/mibdump
%python_clone -a %{buildroot}%{_bindir}/mibdump
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%post
%python_install_alternative mibdump

%postun
%python_uninstall_alternative mibdump

#%%check
#nosetests # cannot be run without pysmnp which needs this package

%files %{python_files}
%defattr(-,root,root,-)
%doc README.md LICENSE.rst CHANGES.rst
%{python_sitelib}/*
%python_alternative %{_bindir}/mibdump

%changelog
* Fri Aug 11 2017 tbechtold@suse.com
- update to 0.3.1:
  * INET-ADDRESS-MIB configured as pre-built at pysnmp codegen
  * JSON codegen produces "nodetype" element for OBJECT-TYPE
  * Fix to mibdump.py --destination-directory option
  * Fix to pysnmp and JSON code generators to properly refer to MIB module
  defining particular MIB object
  * The @mib@ magic in reader's URL template made optional. If it is not present,
  MIB module name is just appended to URL template
  * Send User-Agent containing pysmi and Python versions as well as platform name.
  * Fixed missing STATUS/DISPLAY-HINT/REFERENCE/etc fields generation at pysnmp
  backend when running in the non-full-text mode
  * Fixed broken `ordereddict` dependency on Python 2.6-
  * Generate REFERENCE and STATUS fields at various SMI objects
  * Generate DESCRIPTION field followed REVISION field at MODULE-IDENTITY objects
  * Generate PRODUCT-RELEASE field at AGENT-CAPABILITIES objects
  * Generated Python source aligned with PEP8
  * MIB texts cleaned up by default, --keep-texts-layout preserves original formatting
  * Fix to the `ordereddict` conditional dependency
  * Missing test module recovered
  * Failing tests fixed
  * JSON code generating backend implemented
  * Experimental JSON OID->MIB indices generation implemented
  * Package structure flattened for easier use
  * Minor refactoring to the test suite
  * Source code statically analyzed, hardened and PEP8-ized
  * Files closed explicitly to mute ResourceWarnings
  * Fixed to Python 2.4 (and aged ply) compatibility
  * Added a workaround to avoid generating pysnmp TextualConvention classes
  inheriting from TextualConvention (when MIB defines a TEXTUAL-CONVENTION
  based on another TEXTUAL-CONVENTION as SYNTAX)
  * Author's e-mail changed, copyright extended to year 2017
- convert to singlespec
* Mon Aug  1 2016 mardnh@gmx.de
- Update to version 0.0.07
  * Crash on existing .py file handling fixed.
  * Fix to __doc__ use in setup.py to make -O0 installation mode working.
  * Fix to PyPackageSearcher not to fail on broken Python packages.
  * Source code pep8'ed
  * Copyright added to source files.
* Sat Nov 21 2015 bwiedemann@suse.com
- initial package of version 0.0.6
